# [rpmbuild](https://gitea.rknet.org/docker/rpmbuild)

[![Build Status](https://img.shields.io/drone/build/docker/rpmbuild?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/docker/rpmbuild)
[![Docker Hub](https://img.shields.io/badge/docker-latest-blue.svg?logo=docker&logoColor=white)](https://hub.docker.com/r/xoxys/rpmbuild)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/docker/rpmbuild/src/branch/master/LICENSE)

Simple Docker image based on CentOS 7 to build RPM packages.

## Environment variables

```Shell
RPMBUILD_BASE_DIR=/drone/src
```

## How to use

There are two wrapper scripts around the rpmbuild command you could use:

- `/usr/local/bin/rpmbuild-official`: This will simply forward your command to the official binary at `/usr/bin/rpmbuild`
- `/usr/local/bin/rpmbuil`: This is a modified wrapper to prepare the environment before calling rpmbuil

The wrapper `/usr/local/bin/rpmbuil` will do the following:

- create `$RPMBUILD_BASE_DIR/dist`
- create rpmbuild folder structure (`BUILDRPMS|SOURCES|SPECS|SRPMS`) under `$RPMBUILD_BASE_DIR/dist`
- sync local patchfiles from `$RPMBUILD_BASE_DIR/patch` to `$RPMBUILD_BASE_DIR/dist/SOURCES` if the `patch` folder exist
- call `/bin/rpmbuil` with the given parameters

## License

This project is licensed under the MIT License - see the [LICENSE](https://gitea.rknet.org/docker/rpmbuild/src/branch/master/LICENSE) file for details.

## Maintainers and Contributors

[Robert Kaussow](https://gitea.rknet.org/xoxys)
